package net.wanji.opt.dao.mapper.report;

import net.wanji.opt.controllerv2.report.vo.CrossProblemVO;
import net.wanji.opt.vo2.report.CrossImportProblemDataForQuery;
import net.wanji.opt.vo2.report.CrossImportProblemDetailVO;
import org.apache.ibatis.annotations.Param;

import java.util.List;

public interface CrossProblemMapper {
    CrossProblemVO selectCrossProblem(@Param("crossIdList") List<String> crossIdList,@Param("yearWeek") String yearWeek);
    List<CrossImportProblemDetailVO> selectCrossProblemSeriousDataByType(@Param("crossId") String crossId, @Param("yearWeek") String yearWeek,@Param("eventType") String eventType);
    CrossImportProblemDataForQuery selectCrossProblemWorkDayByType(@Param("crossId") String crossId, @Param("yearWeek") String yearWeek, @Param("eventType") String eventType);
    List<CrossImportProblemDataForQuery> selectCrossProblemByType(@Param("crossIdList") List<String> crossIdList,@Param("yearWeek") String yearWeek,@Param("eventType") String eventType);

}
