package net.wanji.opt.dao.mapper.report;

import net.wanji.opt.controllerv2.report.vo.AnalysisReportCrossOptimizeDetailVO;
import net.wanji.opt.controllerv2.report.vo.CrossPeakAnalysis;
import net.wanji.opt.entity.report.AnalysisReportCrossOptimizeDetail;
import net.wanji.opt.entity.report.AnalysisReportCrossPeakDetail;
import net.wanji.opt.entity.report.CrossRidLaneDTO;
import org.apache.ibatis.annotations.Param;

import java.util.List;

public interface CrossRidLaneMapper {
    List<CrossRidLaneDTO> getCrossInfoList(@Param("crossIdList") List<String> crossIdList);

    List<CrossPeakAnalysis> getTotalitySituation(@Param("crossIdList") List<String> crossIdList,@Param("yearWeek") Integer yearWeek,@Param("dayType") String dayType,@Param("peakType") String peakType);

    List<AnalysisReportCrossPeakDetail> getPeakData(@Param("crossIdList") List<String> crossIdList,@Param("yearWeek") Integer yearWeek);

    List<AnalysisReportCrossOptimizeDetailVO> getTotalityData(@Param("yearWeek") Integer yearWeek, @Param("crossIdList") List<String> crossIdList);
}
